<?php
/**
 * @file
 * cm_slideshow.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function cm_slideshow_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "flexslider" && $api == "flexslider_default_preset") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function cm_slideshow_views_api() {
  list($module, $api) = func_get_args();
  if ($module == "views" && $api == "views_default") {
    return array("version" => "3.0");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function cm_slideshow_image_default_styles() {
  $styles = array();

  // Exported image style: cm_slideshow
  $styles['cm_slideshow'] = array(
    'name' => 'cm_slideshow',
    'effects' => array(
      6 => array(
        'label' => 'Skala och beskär',
        'help' => 'Skala och beskär kommer att bibehålla proportionerna i den ursprungliga bilden, därefter beskära det större måttet. Detta är mest användbart för att skapa perfekta kvadratiska miniatyrbilder utan att tänja ut bilden.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => '1200',
          'height' => '500',
        ),
        'weight' => '1',
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function cm_slideshow_node_info() {
  $items = array(
    'cm_slideshow_slide' => array(
      'name' => t('Slideshow Slide'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Headline'),
      'help' => '',
    ),
  );
  return $items;
}
